Bug 121771 - polytopes hard hangs X on various systems
polytopes hard hangs X on various systems
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-27 13:45 EDT by Bevan Bennett
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 03:03:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bevan Bennett 2004-04-27 13:45:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
The 'polytopes' screensaver appears to hard hang X on various
'standard' Dell desktops under FC1.  Since the default screensaver
setting is -still- "randomly pick from all screensavers", this causes
'screensaver roulette'.

When hung, the system is still remotely accessible, but recognizes no
local keyboard input, even when polytopes (and xscreensaver) are
killed.  I've been unable to find any way to restore a hung session
short of killing X itself, along with all of the user's currently open
applications and work.

Version-Release number of selected component (if applicable):
xscreensaver-4.14-2

How reproducible:
Didn't try

Steps to Reproduce:
Choose 'polytopes' as your screensaver (or wait for you number to come
up in screensaver roulette)  

Additional info:

The several systems I've seen effected by this all appear to have a
"ATI Rage 128 Pro Ultra" video card, for what it's worth.

Changing the default selected screensavers to not include 'unstable'
ones like polytopes would be an acceptable temporary workaround.
Comment 1 Mike A. Harris 2004-10-12 03:03:07 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.